Skip to content

List Profiles

GET
/tenant/{tenant}/profile
curl --request GET \
--url https://api.exolink.cloud/tenant/example/profile \
--header 'Authorization: Bearer <token>'

Get list of charger profiles

tenant
required
string

List of profiles

Media typeapplication/json
Array<object>

Charger configuration profile

object
id

Profile ID

integer
tenantId

Tenant ID

integer
displayName

Profile display name

string
dynamic

Whether this is a dynamically generated profile

boolean
cpmsId

Associated CPMS backend ID

integer
cpmsIds

Associated CPMS backend IDs

array
cpmsName

Associated CPMS backend name(s)

string
cpmsUrl

Associated CPMS backend URL(s)

string
labId

Associated lab environment ID (if applicable)

integer
createdAt
string format: date-time
updatedAt
string format: date-time
deletedAt
string format: date-time
Example
[
{
"id": 1,
"displayName": "Default Profile",
"dynamic": false
}
]